QGIS Application - Bug report #11881
Processing: python error when loading a model that uses SAGA modules of a version that is

different from the one configured locally
2014-12-17 08:12 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 20095
Description

If | create a model (that includes at least 1 SAGA tool) in a QGIS installation that uses SAGA 2.0.8 and then this model is imported in a
QGIS installation that uses a different SAGA version a python error is thrown
File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 192, in executeAlgorithm
alg = alg.getCopy()
File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 164, in getCopy
newone.defineCharacteristics()
File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 193, in defineCharacteristics
modelOutput = copy.deepcopy(alg.algorithm.getOutputFromName(out))
File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 105, in algorithm
self._algInstance = ModelerUtils.getAlgorithm(self.consoleName).getCopy();
AttributeError: 'NoneType' object has no attribute 'getCopy’

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-11-28 07:59 AM - Alexander Bruy
- Status changed from Open to Closed
- Description updated

Closing as now Processing supports only single SAGA version.

#3 - 2017-11-30 04:37 AM - Giovanni Manghi
- Resolution set to wontfix
